=== icons/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2025  Anders Lund <anders@alweb.dk>
# SPDX-License-Identifier: CC0-1.0

install(FILES org.kde.pumoku.svg DESTINATION ${KDE_INSTALL_FULL_ICONDIR}/hicolor/scalable/apps/)
