=== debian/changelog ===
pumoku (0.0.0+p24.04+vunstable+git20251205.1009-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 05 Dec 2025 10:09:00 +0000

pumoku (0.0.0-0neon) noble; urgency=medium

  * Initial packaging

 -- Neon CI <neon@kde.org>  Mon, 24 Nov 2025 17:43:24 +1000
