=== debian/control ===
Source: pumoku
Section: games
Priority: optional
Uploaders: Daniel Schepler <schepler@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <gkiagiad@csd.uoc.gr>,
           Eshat Cakar <info@eshat.de>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcolorscheme-dev,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-kdbusaddons-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-kirigami-addons-dev,
               kf6-kirigami-dev,
               kf6-qqc2-desktop-style-dev,
               libkdegames6-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-svg-dev
Standards-Version: 4.6.2
Homepage: http://games.kde.org/
Vcs-Git: https://invent.kde.org/neon/neon-packaging/pumoku.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/pumoku
Maintainer: Neon CI <neon@kde.org>

Package: pumoku
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Sudoku puzzle game and solver
 PuMoKu is a classic, 9x9 pumoku solving game aimed at Plasma
 Mobile. It comes with flexible highlighting options and (touch)
 input methods, full undo stack and more.
 .
 This package is part of the KDE games module.
