## pumoku 0.0.0+p24.04+vunstable+git20251209.0355

=== debian/changelog ===
pumoku (0.0.0+p24.04+vunstable+git20251209.0355-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 03:55:59 +0000
