## pumoku 0.0.0+p24.04+vunstable+git20260131.0109

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 include(FeatureSummary)
 
 set(QT6_MIN_VERSION 6.5.0)
-set(KF6_MIN_VERSION 6.0.0)
+set(KF6_MIN_VERSION 6.8.0)
 
 find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)
 
@@ -28,9 +28,33 @@
     endif()
 endif()
 if(NOT ${PRE_COMMIT_INSTALLED})
-    include(KDEGitCommitHooks)
-    include(KDEClangFormat)
-    kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+    find_program(PRE_COMMIT_EXECUTABLE pre-commit)
+    if(PRE_COMMIT_EXECUTABLE)
+        message(STATUS "This module has pre-commit support. pre-commit binary was found. Installing pre-commit hook")
+        execute_process(
+            COMMAND
+                "${PRE_COMMIT_EXECUTABLE}" install -f
+            ERROR_QUIET
+            RESULT_VARIABLE _precommitresult
+            WORKING_DIRECTORY "${PROJECT_SOURCE_DIR}"
+        )
+        if(_precommitresult EQUAL 0)
+            message(STATUS "Pre-commit installed.")
+        else()
+            message(
+                WARNING
+                "Error during installing pre-commit hook: ${PRE_COMMIT_EXECUTABLE} project source dir ${PROJECT_SOURCE_DIR}"
+            )
+            include(KDEGitCommitHooks)
+            include(KDEClangFormat)
+            kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+        endif()
+    else()
+        message(WARNING "This module has pre-commit support. pre-commit binary was not found.")
+        include(KDEGitCommitHooks)
+        include(KDEClangFormat)
+        kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+    endif()
 endif()
 
 include(FeatureSummary)
@@ -41,6 +65,7 @@
 include(ECMFindQmlModule)
 include(ECMAddAndroidApk)
 include(ECMQmlModule)
+include(ECMDeprecationSettings)
 if(NOT ANDROID)
     include(KDEGitCommitHooks)
     include(KDEClangFormat)
@@ -92,6 +117,7 @@
 endif()
 
 kde_enable_exceptions()
+ecm_set_disabled_deprecation_versions(QT 6.11.0  KF 6.21.0)
 add_subdirectory(src)
 add_subdirectory(icons)
