=== src/CMakeLists.txt ===
--- 
+++ 
@@ -17,6 +17,7 @@
         contents/ui/DigitButton.qml
         contents/ui/Import.qml
         contents/ui/PumokuEngine.qml
+        contents/ui/PumokuListItem.qml
 )
 
 qt_add_resources(RESOURCES resources.qrc)
@@ -28,6 +29,10 @@
         qqwing.hpp
         qqw.cpp
         qqw.h
+        filemanager.h
+        filemanager.cpp
+        gamesmodel.h
+        gamesmodel.cpp
 )
 target_sources(pumoku_static PUBLIC ${RESOURCES})
 target_link_libraries(
@@ -40,6 +45,7 @@
         Qt6::QuickControls2
         Qt6::Svg
         KF6::I18n
+        KF6::I18nQml
         KF6::CoreAddons
         KF6::ConfigCore
         KF6::ConfigGui
@@ -48,9 +54,19 @@
 if(ANDROID)
     kirigami_package_breeze_icons(ICONS
         list-add
-        help-about
+        help-about-symbolic
         application-exit
         applications-graphics
+        document-share-symbolic
+        application-menu-symbolic
+        open-for-editing-symbolic
+        flashlight-on-symbolic
+        settings-configure-symbolic
+        edit-undo-symbolic
+        edit-redo-symbolic
+        games-hint-symbolic
+        open-for-editing-symbolic
+        tool_eraser-symbolic
     )
 else()
     target_link_libraries(pumoku_static PUBLIC Qt::Widgets)
