=== debian/changelog ===
pumoku (0.0.0+p24.04+vunstable+git20260131.0109-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 01:09:24 +0000
